Subject: Re: r8169 link up but no traffic, and watchdog error

From: Martin Kjær Jørgensen <[email-masked]>
Date: Thu, 24 Aug 2023 11:22:58 +0200

On Thu, Aug 24 2023, Heiner Kallweit <[email-masked]> wrote:

> On 18.08.2023 13:49, Martin Kjær Jørgensen wrote:
>>
>> On Wed, Aug 09 2023, Jakub Kicinski <[email-masked]> wrote:
>>
>>>
>>> There were some fix in r8169 for power management changes recently.
>>> Could you try the latest stable kernel? 6.4.9 ?
>>>
>>
>> I have just upgraded to latest Debian testing kernel (6.4.0-3-amd64 #1 SMP
>> PREEMPT_DYNAMIC Debian 6.4.11-1) but it doesn't seem to make much
>> difference. I can trigger the same issue again, and get similar kernel error
>> as before:
>>
> From the line above it's not clear which kernel version is used. Best test with a
> self-compiled mainline kernel.
>
> Please test also with the different ASPM L1 states disabled, you can use the sysfs
> attributes under /sys/class/net/enp3s0/device/link/ for this.

My BIOS doesn't seem to allow ASPM even though the BIOS option is set to
"Auto" insteadof "Disabled".

~ $ dmesg | grep -i aspm
[    0.118432] ACPI FADT declares the system doesn't support PCIe ASPM, so disable it
[    0.199782] acpi PNP0A08:00: _OSC: OS supports [ExtendedConfig ASPM ClockPM Segments MSI HPX-Type3]
[    0.201735] acpi PNP0A08:00: FADT indicates ASPM is unsupported, using BIOS configuration
[    0.750649] r8169 0000:03:00.0: can't disable ASPM; OS doesn't have ASPM control
[    0.771525] r8169 0000:04:00.0: can't disable ASPM; OS doesn't have ASPM control
[    0.791797] r8169 0000:08:00.0: can't disable ASPM; OS doesn't have ASPM control
[    0.807683] r8169 0000:09:00.0: can't disable ASPM; OS doesn't have ASPM control

I cannot see any ASPM files in /sys/class/net/enp*s*/device .

-r--r--r-- 1 root root 4096 aug 24 10:31 iflink
-r--r--r-- 1 root root 4096 aug 24 10:32 link_mode
-rw-r--r-- 1 root root 4096 aug 24 10:32 mtu
-r--r--r-- 1 root root 4096 aug 24 10:31 name_assign_type

>
> Best bisect between last known good kernel and latest 6.4 version.
>